Mailinglist Archive: opensuse-security-announce (50 mails)

< Previous Next >
[security-announce] openSUSE-SU-2014:1254-1: critical: bash
openSUSE Security Update: bash
______________________________________________________________________________

Announcement ID: openSUSE-SU-2014:1254-1
Rating: critical
References: #895475 #896776
Cross-References: CVE-2014-6271 CVE-2014-7169 CVE-2014-7186
CVE-2014-7187
Affected Products:
openSUSE 13.2
______________________________________________________________________________

An update that fixes four vulnerabilities is now available.

Description:


bash was updated to fix command injection via environment variables.
(CVE-2014-6271,CVE-2014-7169)

Also a hardening patch was applied that only imports functions over
BASH_FUNC_ prefixed environment variables.

Also fixed: CVE-2014-7186, CVE-2014-7187: bad handling of HERE documents
and for loop issue


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 13.2:

zypper in -t patch openSUSE-2014-567

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 13.2 (i586 x86_64):

bash-4.2-75.4.1
bash-debuginfo-4.2-75.4.1
bash-debugsource-4.2-75.4.1
bash-devel-4.2-75.4.1
bash-loadables-4.2-75.4.1
bash-loadables-debuginfo-4.2-75.4.1
libreadline6-6.2-75.4.1
libreadline6-debuginfo-6.2-75.4.1
readline-devel-6.2-75.4.1

- openSUSE 13.2 (x86_64):

bash-debuginfo-32bit-4.2-75.4.1
libreadline6-32bit-6.2-75.4.1
libreadline6-debuginfo-32bit-6.2-75.4.1
readline-devel-32bit-6.2-75.4.1

- openSUSE 13.2 (noarch):

bash-doc-4.2-75.4.1
bash-lang-4.2-75.4.1
readline-doc-6.2-75.4.1


References:

http://support.novell.com/security/cve/CVE-2014-6271.html
http://support.novell.com/security/cve/CVE-2014-7169.html
http://support.novell.com/security/cve/CVE-2014-7186.html
http://support.novell.com/security/cve/CVE-2014-7187.html
https://bugzilla.suse.com/show_bug.cgi?id=895475
https://bugzilla.suse.com/show_bug.cgi?id=896776

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-security-announce+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages